package gui;

import java.util.EventListener;

/**
 * Defines the interface for listeners to the ChartComp class.
 */
public interface ChartCompListener extends EventListener {

  /**
   * This method is called whenever the map in ChartComp is painted. This
   * method should never call the paint() method in ChartComp.
   */
  public void graphicsPainted(GraphicsPaintedEvent e);

}
