/**<pre>
 * Title: GPS Simulator
 * Copyright: Copyright (c) 2002
 * Company:   University of Oregon Computer Science Dept.
 *
 * @author Jason Prideaux
 * @version 1.0
 * </pre>
 */


package controller;


/* ====================================================================== */
/** This interface defines the methods that a PnlTabI must implement.  This
 *  interface is for classes that wish to be a controller listener
 *
 */
public interface ControllerListener{


    /* ===================================================================== */
    /** This method is for notifying the listener that it needs to refresh
     *  its data.
     *
     */
    public void refresh();

} //interface: ControllerListener