// RouteHelperMessage.java

package transport.protocol;

/**
 * This is the reply message from the RouteHelper server.
 *
 * @author Amit G.
 */
public class RouteHelperMessage extends Message {

  boolean lost;

  public RouteHelperMessage(int to, int from, boolean lost) {
    super(to, from);
    this.lost = lost;
  }

  public boolean isLost() { return lost; }
}
